<template>
  <div>
    <v-card v-if="loading" class="px-6 py-8">
      <div class="text-center">
        <v-progress-circular
          indeterminate
          color="primary"
        ></v-progress-circular>
      </div>
    </v-card>
    <div v-else class="px-6 py-8 white">
      <v-row>
        <v-col md="6">
          <h3>{{ student.name }}</h3>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Dados Pessoais</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> Idade: {{ age }} </v-col>
        <v-col sm="12" md="6"> Sexo: {{ sex }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> CPF: {{ student.cpf }} </v-col>
        <v-col sm="12" md="6"> CNH: {{ student.cnh }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Endereço</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6">
          Logradouro: {{ student.address }}, n° {{ student.number }}
        </v-col>
        <v-col sm="12" md="6"> Bairro: {{ student.neiborhood }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Contato</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> Celular: {{ student.cellphone }} </v-col>
        <v-col v-if="student.phone" sm="12" md="6">
          Telefone: {{ student.phone }}
        </v-col>
      </v-row>

      <v-row>
        <v-col sm="12" md="6"> Email: {{ student.email }} </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
import constants from "../constants";
import helpers from "../helpers";

export default {
  name: "StudentDetails",
  props: {
    closeDialog: Function,
    studentId: Number,
  },
  created() {
    this.$store.dispatch("getStudentById", this.studentId);
  },
  computed: {
    loading() {
      return this.$store.state.student.loading;
    },
    student() {
      return this.$store.state.student.studentSelected;
    },
    age() {
      return helpers.calcAge(this.student.bornDate);
    },
    sex() {
      return constants.sex.find((type) => type.value === this.student.sex)
        .label;
    },
  },

  watch: {
    studentId(id) {
      this.$store.dispatch("getStudentById", id);
    },
  },
};
</script>

<style>
</style>